clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CollectEntitiesVisitor Class Reference
Inheritance diagram for CollectEntitiesVisitor:
[legend]
Collaboration diagram for CollectEntitiesVisitor:
[legend]

## Public Member Functions
| CollectEntitiesVisitor (SourceManager &SM, EntityMap &Entities, Preprocessor &PP, PreprocessorTracker &PPTracker, int &HadErrors)
bool | TraverseStmt (Stmt *S)
bool | TraverseType (QualType T)
bool | TraverseTypeLoc (TypeLoc TL)
bool | TraverseNestedNameSpecifier (NestedNameSpecifier *NNS)
bool | TraverseNestedNameSpecifierLoc (NestedNameSpecifierLoc NNS)
bool | TraverseDeclarationNameInfo (DeclarationNameInfo NameInfo)
bool | TraverseTemplateName (TemplateName Template)
bool | TraverseTemplateArgument (const TemplateArgument &Arg)
bool | TraverseTemplateArgumentLoc (const TemplateArgumentLoc &ArgLoc)
bool | TraverseTemplateArguments (const TemplateArgument *Args, unsigned NumArgs)
bool | TraverseConstructorInitializer (CXXCtorInitializer *Init)
bool | TraverseLambdaCapture (LambdaCapture C)
bool | VisitLinkageSpecDecl (LinkageSpecDecl *D)
bool | VisitNamespaceDecl (const NamespaceDecl *D)
bool | VisitNamedDecl (NamedDecl *ND)

## Detailed Description

Definition at line 545 of file Modularize.cpp.

## Constructor & Destructor Documentation

CollectEntitiesVisitor::CollectEntitiesVisitor | ( | SourceManager & | SM,
|  | EntityMap & | Entities,
|  | Preprocessor & | PP,
|  | PreprocessorTracker & | PPTracker,
|  | int & | HadErrors
| ) |  |
| inline

Definition at line 548 of file Modularize.cpp.

## Member Function Documentation

bool CollectEntitiesVisitor::TraverseConstructorInitializer | ( | CXXCtorInitializer * | Init | ) |
| inline

Definition at line 573 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseDeclarationNameInfo | ( | DeclarationNameInfo | NameInfo | ) |
| inline

Definition at line 561 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseLambdaCapture | ( | LambdaCapture | C | ) |
| inline

Definition at line 574 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseNestedNameSpecifier | ( | NestedNameSpecifier * | NNS | ) |
| inline

Definition at line 557 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseNestedNameSpecifierLoc | ( | NestedNameSpecifierLoc | NNS | ) |
| inline

Definition at line 558 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseStmt | ( | Stmt * | S | ) |
| inline

Definition at line 554 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseTemplateArgument | ( | const TemplateArgument & | Arg | ) |
| inline

Definition at line 565 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseTemplateArgumentLoc | ( | const TemplateArgumentLoc & | ArgLoc | ) |
| inline

Definition at line 566 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseTemplateArguments | ( | const TemplateArgument * | Args,
|  | unsigned | NumArgs
| ) |  |
| inline

Definition at line 569 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseTemplateName | ( | TemplateName | Template | ) |
| inline

Definition at line 564 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseType | ( | QualType | T | ) |
| inline

Definition at line 555 of file Modularize.cpp.

bool CollectEntitiesVisitor::TraverseTypeLoc | ( | TypeLoc | TL | ) |
| inline

Definition at line 556 of file Modularize.cpp.

bool CollectEntitiesVisitor::VisitLinkageSpecDecl | ( | LinkageSpecDecl * | D | ) |
| inline

Definition at line 577 of file Modularize.cpp.

References PP, and PPTracker.

bool CollectEntitiesVisitor::VisitNamedDecl | ( | NamedDecl * | ND | ) |
| inline

Definition at line 610 of file Modularize.cpp.

References Entry::EK_Tag, Entry::EK_Value, Loc, Name, and SM.

bool CollectEntitiesVisitor::VisitNamespaceDecl | ( | const NamespaceDecl * | D | ) |
| inline

Definition at line 598 of file Modularize.cpp.

References PP, and PPTracker.

The documentation for this class was generated from the following file:

- Modularize.cpp